/*
 *   -- micMAGMA (version 0.1) --
 *      Univ. of Tennessee, Knoxville
 *      Univ. of California, Berkeley
 *      Univ. of Colorado, Denver
 *      April 2012
 *
 * @precisions mixed zc -> ds
 */

case magma_mic_ZLAG2C:
 {
   magma_mic_zlag2c_param zlag2c_param;
   if (mic_recv(&zlag2c_param, sizeof(zlag2c_param)) == MIC_FAILURE) {
     printf("scif_recv failed for ZLAG2C\n");
     return;
   }

   mic_time = dsecnd();
   call_zlag2c(zlag2c_param);
   mic_time = dsecnd();

   break;
 }

case magma_mic_ZCGESV:
 {
   magma_mic_zcgesv_param zcgesv_param;
   if (mic_recv(&zcgesv_param, sizeof(zcgesv_param)) == MIC_FAILURE) {
     printf("scif_recv failed for ZCGESV\n");
     return;
   }

   mic_time = dsecnd();
   call_zcgesv(zcgesv_param);
   mic_time = dsecnd();

   break;
 }
